Subject: bug#58149: guix pull error

From: Maxime Devos <[email-masked]>
Date: Thu, 6 Oct 2022 17:56:45 +0200

On 06-10-2022 14:08, Matthieu Haefele wrote:
>[...]
>> IIUC, you installed Guix on a foreign distro.  If so, you could use 
>> your distro package manager to install & update the guix daemon 
>> (apt-get install, apt-get update, apt-get upgrade on Debian).  It 
>> likely won't be the latest version, but it should be close enough, and 
>> if not you could ask your distro to update their Guix.
>>
>>
> Ok, so on a foreign distro, you would recommand to install guix via the 
> package manager. I learned very recently that it was possible...

Yes, with the caveat that sometimes the distro doesn't have Guix or its 
Guix is out-of-date.